=== debian/changelog ===
spirv-llvm-translator-22 (22.~~+git20260218-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fork source package as spirv-llvm-translator-22.
  * Rename binary packages: *21* => *22*.
  * Build with llvm 22.
  * Update visibility-hidden.patch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Feb 2026 03:46:10 +0100

spirv-llvm-translator-21 (21.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-20 20.1.10-1.
  * Cherry-pick cooperative_matrix_constant_null test fix from upstream
    PR 3568 to fix FTBFS with spirv-tools 2026.1.  (Closes: #1127539)
  * Restrict watch file to 21.* releases.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Feb 2026 23:28:47 +0100

spirv-llvm-translator-21 (21.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-20 20.1.9-1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Dec 2025 02:00:07 +0100

spirv-llvm-translator-21 (21.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-20 20.1.8-1.
  * Update B-D after the spirv-tools split.
  * Cherry-pick upstream fix for newer spirv-tools.  (Closes: #1121533)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Dec 2025 22:32:05 +0100

spirv-llvm-translator-21 (21.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.
  * Merge changes from spirv-llvm-translator-20 20.1.7-1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Oct 2025 00:32:03 +0200

spirv-llvm-translator-21 (21.1.0-3) unstable; urgency=medium

  * Merge changes from spirv-llvm-translator-20 20.1.6-1.
  * Update .symbols control file for gcc-15 builds.
  * Mark symbols disappearing with LTO.  (Closes: #1116519)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2025 11:13:05 +0200

spirv-llvm-translator-21 (21.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Sep 2025 09:04:36 +0300

spirv-llvm-translator-21 (21.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-21.
  * Rename binary packages: *20* => *21*.
  * Build with llvm 21.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update visibility-hidden.patch.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Aug 2025 09:39:59 +0200

spirv-llvm-translator-20 (20.1.10-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.15-1.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Feb 2026 20:11:59 +0100

spirv-llvm-translator-20 (20.1.9-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.14-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 23 Dec 2025 22:11:00 +0100

spirv-llvm-translator-20 (20.1.8-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.13-1.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Nov 2025 23:43:39 +0100

spirv-llvm-translator-20 (20.1.7-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.12-1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Oct 2025 15:19:10 +0200

spirv-llvm-translator-20 (20.1.6-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.11-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.
  * Update .symbols control file for gcc-15 builds.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Sep 2025 03:04:38 +0200

spirv-llvm-translator-20 (20.1.5-1) experimental; urgency=medium

  * New upstream release.
  * Restrict watch file to 20.* releases.
  * Merge changes from spirv-llvm-translator-19 19.1.10-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Aug 2025 23:08:05 +0200

spirv-llvm-translator-20 (20.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-19 19.1.6-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Apr 2025 21:47:14 +0200

spirv-llvm-translator-20 (20.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-20.
  * Rename binary packages: *19* => *20*.
  * Build with llvm 20.
  * Update visibility-hidden.patch.
  * Update .symbols control file.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Mar 2025 19:27:29 +0100

spirv-llvm-translator-19 (19.1.15-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.20-1.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Feb 2026 20:27:04 +0100

spirv-llvm-translator-19 (19.1.14-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.19-1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Dec 2025 09:40:00 +0100

spirv-llvm-translator-19 (19.1.13-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.18-1.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 Nov 2025 21:55:43 +0100

spirv-llvm-translator-19 (19.1.12-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.17-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Oct 2025 14:15:03 +0200

spirv-llvm-translator-19 (19.1.11-1) unstable; urgency=medium

  * New upstream release.
  * Merge changes from spirv-llvm-translator-18 18.1.16-1.
  * Bump spirv-headers dependency to 1.6.1+1.4.321.0-2.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Sep 2025 03:19:41 +0200

spirv-llvm-translator-19 (19.1.10-2) unstable; urgency=medium


