=== debian/control ===
Source: spirv-llvm-translator-22
Section: libdevel
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 gcc (>= 4:15),
 pkgconf,
 spirv-headers (>= 1.6.1+1.4.335.0),
 spirv-tools <!nocheck>,
 spirv-tools-dev,
# keep the clang/llvm version in sync, don't forget debian/tests/control
 libclang-22-dev,
 llvm-22-dev,
 clang-22 <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm22/main

Package: libllvmspirvlib22.1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: bi-directional translator for LLVM/SPIRV -- shared library
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes the shared library.

Package: libllvmspirvlib-22-dev
Architecture: any
Multi-Arch: same
Depends:
 libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libllvmspirvlib-x.y-dev,
Breaks:
 libllvmspirvlib-dev (<< 13.0.0-3~),
Replaces:
 libllvmspirvlib-dev (<< 13.0.0-3~),
 libllvmspirvlib-x.y-dev,
Provides:
 libllvmspirvlib-x.y-dev,
Description: bi-directional translator for LLVM/SPIRV -- development files
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes static libs and headers for development.

Package: llvm-spirv-22
Architecture: any
Depends:
 libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: bi-directional translator for LLVM/SPIRV
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes the llvm-spirv-${llvm:major} binary.
